Index: chan_sip.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_sip.c,v
retrieving revision 1.742
diff -u -r1.742 chan_sip.c
--- chan_sip.c	25 May 2005 20:03:09 -0000	1.742
+++ chan_sip.c	30 May 2005 00:51:50 -0000
@@ -7791,11 +7791,13 @@

	/* Save auth data for following registrations */
 	if (p->registry) {
-		ast_copy_string(p->registry->realm, realm, sizeof(p->realm));
-		ast_copy_string(p->registry->nonce, nonce, sizeof(p->nonce));
-		ast_copy_string(p->registry->domain, domain, sizeof(p->domain));
-		ast_copy_string(p->registry->opaque, opaque, sizeof(p->opaque));
-		ast_copy_string(p->registry->qop, qop, sizeof(p->qop));
+		struct sip_registry *r = p->registry;
+
+		ast_copy_string(r->realm, p->realm, sizeof(r->realm));
+		ast_copy_string(r->nonce, p->nonce, sizeof(r->nonce));
+		ast_copy_string(r->domain, p->domain, sizeof(r->domain));
+		ast_copy_string(r->opaque, p->opaque, sizeof(r->opaque));
+		ast_copy_string(r->qop, p->qop, sizeof(r->qop));
 	}
 	build_reply_digest(p, sipmethod, digest, digest_len); 
 	return 0;
